Share your feedback on the Ad Manager API.

type ForecastAdjustmentError (v202005)

Lists all errors associated with forecast adjustments.


Namespace
https://www.google.com/apis/ads/publisher/v202005

Field

ApiError (inherited)

fieldPath

xsd:string

The OGNL field path to identify cause of error.

fieldPathElements

FieldPathElement[]

A parsed copy of the field path. For example, the field path "operations[1].operand" corresponds to this list: {FieldPathElement(field = "operations", index = 1), FieldPathElement(field = "operand", index = null)}.

trigger

xsd:string

The data that caused the error.

errorString

xsd:string

A simple string representation of the error and reason.

ForecastAdjustmentError

reason

ForecastAdjustmentError.Reason

The error reason represented by an enum.


Enumerations
ADJUSTED_VALUE_TOO_HIGH_RELATIVE_TO_FORECAST
The adjustment contains at least one daily value above the allowed maximum percentage of the current forecast.
ADJUSTED_VALUE_TOO_LOW
The adjustment contains at least one daily value below the allowed minimum.
ADJUSTED_VALUE_TOO_LOW_RELATIVE_TO_FORECAST
The adjustment contains at least one daily value below the allowed minimum percentage of the current forecast.
ADJUSTS_CROSS_SELL_INVENTORY
The adjustment is attempting to adjust cross-sell inventory.
DATE_RANGE_OVERLAPS_ANOTHER_ADJUSTMENT
The date range of the adjustment overlaps the date range of another adjustment within the same traffic forecast segment.
END_DATE_NOT_ON_OR_AFTER_START_DATE
A provided date range has an end date that is not on or after its start date.
HISTORICAL_END_DATE_NOT_IN_PAST
A historical date range has an end date not in the past.
HISTORICAL_START_DATE_TOO_FAR_BEFORE_ADJUSTMENT_END_DATE
A historical date range has a start date more than the allowed number of days before the adjustment end date.
NO_VOLUME_SETTINGS_PROVIDED
No volume settings were provided.
NUMBER_OF_VALUES_DOES_NOT_MATCH_DATE_RANGE
The values provided do not span the provided date range.
UNKNOWN
The value returned if the actual value is not exposed by the requested API version.